# $Revision: 1.23 $, $Date: 2010/11/15 10:17:41 $
%define pkgname mongrel
Summary:	Ruby webserver toolkit
Summary(pl.UTF-8):	Toolkit języka Ruby dla serwera WWW
Name:		ruby-%{pkgname}
Version:	1.1.5
Release:	5
License:	Ruby
Group:		Development/Libraries
Source0:	http://gems.rubyforge.org/gems/%{pkgname}-%{version}.gem
# Source0-md5:	a37617eb48f0932cc32143b2d76c0d12
Patch0:		%{name}-nogems.patch
Patch1:		%{name}-ruby1.9.patch
URL:		http://mongrel.rubyforge.org/
BuildRequires:	dos2unix
BuildRequires:	rpmbuild(macros) >= 1.277
BuildRequires:	ruby-devel
BuildRequires:	ruby-modules
%{?ruby_mod_ver_requires_eq}
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Ruby webserver toolkit.

%description -l pl.UTF-8
Toolkit języka Ruby dla serwera WWW.

%package rdoc
Summary:	HTML documentation for %{pkgname}
Summary(pl.UTF-8):	Dokumentacja w formacie HTML dla %{pkgname}
Group:		Documentation
Requires:	ruby >= 1:1.8.7-4

%description rdoc
HTML documentation for %{pkgname}.

%description rdoc -l pl.UTF-8
Dokumentacja w formacie HTML dla %{pkgname}.

%package ri
Summary:	ri documentation for %{pkgname}
Summary(pl.UTF-8):	Dokumentacja w formacie ri dla %{pkgname}
Group:		Documentation
Requires:	ruby

%description ri
ri documentation for %{pkgname}.

%description ri -l pl.UTF-8
Dokumentacji w formacie ri dla %{pkgname}.

%prep
%setup -q -c
%{__tar} xf %{SOURCE0} -O data.tar.gz | %{__tar} xz
find -newer README  -o -print | xargs touch --reference %{SOURCE0}
dos2unix examples/mongrel_simple_service.rb
%patch0 -p1
%patch1 -p1

find -name '*.rb' -print0 | xargs -0 %{__sed} -i -e 's,\r$,,'

%build
# passing CFLAGS breaks -fPIC parsing,
# patch mkmf module to be able to pass CC and OPTFLAGS
%{__ruby} setup.rb config \
	--prefix=%{_prefix} \
	--bindir=%{_bindir} \
	--libdir=%{_libdir} \
	--datadir=%{_datadir} \
	--mandir=%{_mandir} \
	--sysconfdir=%{_sysconfdir} \
	--localstatedir=%{_localstatedir} \
	--rbdir=%{ruby_rubylibdir} \
	--sodir=%{ruby_archdir} \
	--make-prog="%{__make} CC=\"%{__cc}\""

%{__ruby} setup.rb setup

rdoc --ri --op ri lib
rdoc --op rdoc lib
rm -r ri/{IO,Kernel,RequestLog,TCPServer}
rm ri/created.rid

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{ruby_rubylibdir},%{ruby_ridir},%{ruby_rdocdir}}

%{__ruby} setup.rb install \
	--prefix=$RPM_BUILD_ROOT

cp -a ri/* $RPM_BUILD_ROOT%{ruby_ridir}
cp -a rdoc $RPM_BUILD_ROOT%{ruby_rdocdir}/%{name}-%{version}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/*
%{ruby_rubylibdir}/*.rb
%{ruby_rubylibdir}/mongrel
%attr(755,root,root) %{ruby_archdir}/*.so

%files rdoc
%defattr(644,root,root,755)
%{ruby_rdocdir}/%{name}-%{version}

%files ri
%defattr(644,root,root,755)
%{ruby_ridir}/Mongrel*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: ruby-mongrel.spec,v $
Revision 1.23  2010/11/15 10:17:41  pawelz
- release 5

Revision 1.22  2010/03/02 11:23:47  baggins
- rel 4
- removed pointless macro abuse
- added rdoc and ri packages

Revision 1.21  2009/08/08 18:28:18  hawk
- BR: dos2unix to workaround CVS stupidity

Revision 1.20  2009/08/08 18:20:21  hawk
- release 2

Revision 1.19  2009/02/20 16:52:42  aredridel
- 1.1.5

Revision 1.18  2008/11/18 22:52:55  glen
- release 3

Revision 1.17  2008/05/04 10:01:48  glen
- release 2

Revision 1.16  2008-05-03 17:32:02  glen
- need -fPIC on amd64

Revision 1.15  2008-05-03 17:10:18  glen
- CC/CFLAGS

Revision 1.14  2007-12-12 23:01:01  aredridel
- 1.1.1

Revision 1.13  2007-03-02 20:51:54  aredridel
- remove dependency on fastthread, as it's merged in ruby 1.8.6

Revision 1.12  2007/02/18 20:37:40  qboosh
- use version macro in Source URL

Revision 1.11  2007/02/18 20:33:48  aredridel
- 1.0.1

Revision 1.10  2007/02/12 22:09:13  glen
- tabs in preamble

Revision 1.9  2007/02/12 01:06:31  baggins
- converted to UTF-8

Revision 1.8  2006/12/17 20:52:18  aredridel
- 0.3.20

Revision 1.7  2006/11/04 22:33:26  qboosh
- decompress Source0 once

Revision 1.6  2006/11/04 21:08:01  aredridel
- degemify

Revision 1.5  2006/02/18 10:58:23  qboosh
- pl

Revision 1.4  2006/02/15 01:21:59  aredridel
- up to 0.3.3

Revision 1.3  2006/02/14 06:18:35  aredridel
- up to 0.3.2

Revision 1.2  2006/02/12 21:13:11  aredridel
- up to 0.3.1

Revision 1.1  2006/02/10 23:13:52  aredridel
- added
